<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.bonus.canteen.core.drp.mapper.DrpMaterialProcureMapper">


    <select id="getCountByMaterialId" resultType="com.bonus.canteen.core.drp.vo.DrpMaterialProcureVO">
        select  start_interval, end_interval, count, material_id
        from drp_material_procure
        where material_id = #{content.materialId}
          and #{content.materialCount} between start_interval and end_interval
    </select>
</mapper>
